var system = require("../../../system")
const CtlBase = require("../../ctl.base");
class ArticleCtl extends CtlBase {
  constructor() {
    super("common", CtlBase.getServiceName(ArticleCtl));
  }
  async create (p, q, req) {
    p.creator_id = p.userid
    p.creator = p.username
    let rtn = await this.service.create(p, q, req)
    return system.getResult(rtn)
  }

}
module.exports = ArticleCtl;
